Summary: Plesk PHP 5.3 Panda is a multi-version php suite 
Name:    plesk-php53-panda
Version: 0.5
Release: 3.art
Source0: README
License: AGPL
URL: http://www.atomicorp.com
Group: Development/Languages
Vendor: Atomicorp
Packager: Scott R. Shinn <scott@atomicorp.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}

Provides: php53-panda

# el5
# php-dba, plesk 11.5 has a newer tokyocabinet package
# removed embedded, not needed

Requires:  atomic-php53-php atomic-php53-php-bcmath atomic-php53-php-cli atomic-php53-php-common atomic-php53-php-devel atomic-php53-php-enchant atomic-php53-php-fpm atomic-php53-php-gd atomic-php53-php-imap atomic-php53-php-intl atomic-php53-php-ldap atomic-php53-php-mbstring atomic-php53-php-mcrypt atomic-php53-php-mssql atomic-php53-php-mysqlnd atomic-php53-php-odbc atomic-php53-php-pdo atomic-php53-php-pgsql atomic-php53-php-process atomic-php53-php-pspell atomic-php53-php-recode atomic-php53-php-snmp atomic-php53-php-soap atomic-php53-php-tidy atomic-php53-php-xml atomic-php53-php-xmlrpc 


 
%description
The Plesk PHP Panda (P3) is a suite of multiple PHP versions to an alternate location
Allowing the default system version of PHP to remain in place. It is primarily 
designed for Plesk hosting environments, but can be used on any RPM based system.

This release adds support for PHP 5.3 to the Panda

* PHP 5.3


%prep

%build

%install
mkdir -p %{buildroot}/usr/share/doc/plesk-php53-panda/
install -m0644 %{SOURCE0} %{buildroot}/usr/share/doc/plesk-php53-panda/README



%post 
if [ $1 = 1 ]; then
	# Install
	if [ -f /usr/local/psa/bin/php_handler ]; then
                /usr/local/psa/bin/php_handler --add -displayname "Atomic 5.3" -path "/opt/atomic/atomic-php53/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php53/root/etc/php.ini" -clipath "/opt/atomic/atomic-php53/root/usr/bin/php" -type fastcgi -id "fastcgi-53"
	fi
  
fi

%preun


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/share/doc/plesk-php53-panda/README

%changelog
* Tue Apr 28 2015 Scott R. Shinn <scott@atomicorp.com> - 0.5-3
- add clipath for plesk 12.1 compatibility

* Wed Feb 26 2014 Scott R. Shinn <scott@atomicorp.com> - 0.4-2
- Drop php53-interbase requirement

* Mon Dec 16 2013 Scott R. Shinn <scott@atomicorp.com> - 0.3-1
- PHP 5.3 support for P3
